# 1. CORS Fix
<IfModule mod_headers.c>
    <FilesMatch "\.(eot|ttf|otf|woff|woff2|svg)$">
        Header set Access-Control-Allow-Origin "*"
    </FilesMatch>
</IfModule>

RewriteEngine On
RewriteCond %{QUERY_STRING} meme-kanseri [NC]
RewriteRule ^blog/istanbul /blog/istanbul-da-meme-kanseri-icin-en-iyi-doktoru-nasil-secersiniz? [R=301,L,NC]
RewriteRule ^blog/meme-biyopsisi: /blog/meme-biyopsisi-trucut-vakum-stereotaksik-detayli-rehber-en-iyi-biyopsi-deneyimi-nasil-olmali [R=301,L,NC]

# 3. GLOBAL SİSTEM KURALLARI
RewriteRule ^assets/css/header_style.css$ includes/template/header_css.php [NC,L]
RewriteRule ^index.html$ index.php [NC,L]
RewriteRule ^bakimdayiz(.*)$ maintenance.php [NC,L]
RewriteRule ^uzmanliklarimiz$ pages.php?sayfa=skills [NC,L]
RewriteRule ^sss$ pages.php?sayfa=faq [NC,L]
RewriteRule ^iletisim(.*)$ pages.php?sayfa=contact&status=$1 [L,QSA]
RewriteRule ^iletisim$ pages.php?sayfa=contact [NC,L]
RewriteRule ^ekibimiz$ pages.php?sayfa=team [NC,L]
RewriteRule ^markalar$ pages.php?sayfa=clients [NC,L]
RewriteRule ^proje/(.*)$ pages.php?sayfa=projedetail&pro_id=$1 [L,QSA]
RewriteRule ^projeler$ pages.php?sayfa=projects [NC,L]
RewriteRule ^teklif-al$ pages.php?sayfa=teklif [NC,L]
RewriteRule ^yorumlar/(.*)$ pages.php?sayfa=commentspage&page=$1 [L,QSA]
RewriteRule ^yorumlar$ pages.php?sayfa=commentspage [NC,L]
RewriteRule ^blog/(.*)$ pages.php?sayfa=blogdetail&blog_id=$1 [L,QSA]
RewriteRule ^bloglar/(.*)$ pages.php?sayfa=blog&page=$1 [L,QSA]
RewriteRule ^bloglar$ pages.php?sayfa=blog [NC,L]
RewriteRule ^hizmet/(.*)$ pages.php?sayfa=servicedetail&ser_id=$1 [L,QSA]
RewriteRule ^hizmetler/(.*)$ pages.php?sayfa=services&page=$1 [L,QSA]
RewriteRule ^hizmetler$ pages.php?sayfa=services [NC,L]
RewriteRule ^galeri/(.*)$ pages.php?sayfa=photodetail&gal_id=$1 [L,QSA]
RewriteRule ^foto-galeri/(.*)$ pages.php?sayfa=photogallery&page=$1 [L,QSA]
RewriteRule ^foto-galeri$ pages.php?sayfa=photogallery [NC,L]
RewriteRule ^video/(.*)$ pages.php?sayfa=videodetail&vid_id=$1 [L,QSA]
RewriteRule ^video-galeri/(.*)$ pages.php?sayfa=videos&page=$1 [L,QSA]
RewriteRule ^video-galeri$ pages.php?sayfa=videos [NC,L]
RewriteRule ^sayfa/(.*)$  pages.php?sayfa=htmlsayfa&id=$1 [L,QSA]
RewriteRule ^online-randevu$ pages.php?sayfa=randevu [NC,L]
RewriteRule ^sitemap.xml$ includes/template/sitemap.php
RewriteRule ^contactpost$ pages.php?sayfa=iletisimgonder [NC,L]
RewriteRule ^teklif/form/gonder$ post.php?process=teklifgonder [NC,L]
RewriteRule ^newsletter$ pages.php?sayfa=newsletter [NC,L]
RewriteRule ^blogcommentpost$ pages.php?sayfa=blogcommentpost [NC,L]
RewriteRule ^servicecommentpost$ pages.php?sayfa=servicecommentpost [NC,L]
RewriteRule ^tum-yorumlar/(.*)/(.*)/(.*)$ pages.php?sayfa=allcomments&modul=$1&icerik_id=$2&page=$3 [L,QSA]
RewriteRule ^tum-yorumlar/(.*)/(.*)$ pages.php?sayfa=allcomments&modul=$1&icerik_id=$2 [L,QSA]
RewriteRule ^404$ pages.php?sayfa=errorpage [NC,L]
Redirect 301 /blog/istanbulâ??da-meme-kanseri-icin-en-iyi-doktoru-nasil-secersiniz /blog/istanbul-da-meme-kanseri-icin-en-iyi-doktoru-nasil-secersiniz
# STANDARDX: DNAMK MODL ROTASI
RewriteRule ^v3_test/(.*)$ pages.php?sayfa=dynamic_detail&modul_slug=v3_test&item_slug=$1 [L,QSA]
RewriteRule ^referanslar_v3/(.*)$ pages.php?sayfa=dynamic_detail&modul_slug=referanslar_v3&item_slug=$1 [L,QSA]

# StandardX AutoRoute: Hibrit LEGO Saheseri
RewriteRule ^hibrit_demo/(.*)$ pages.php?sayfa=dynamic_detail&modul_slug=hibrit_demo&item_slug=$1 [L,QSA]

# php -- BEGIN cPanel-generated handler, do not edit
# “ea-php82” paketini varsayılan “PHP” programlama dili olarak ayarlayın.
<IfModule mime_module>
  AddHandler application/x-httpd-ea-php82 .php .php8 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit
